Backup Manager

Retrieve jobs

Since 7.1.0
GET/backupManager/jobs

Paged list of Backup Manager jobs, filterable by server, date, type, status and job ID.

Request

Authorization
Provide your bearer token in the Authorization header when making requests to protected resources.
Example: Authorization: Bearer ********************
Query Params#
resultsinteger#

Per-page (1-200, default 20)

pageinteger#

Page of results to return, starting at 1. The response carries current_page, last_page, per_page, total and the next and previous page URLs.

Range: at least 1
Example: 1
serverIdinteger#

Filter by server ID

dateFromstring#

Filter from date (inclusive, ISO 8601 or Y-m-d)

dateTostring#

Filter to date (inclusive, ISO 8601 or Y-m-d)

typestring#

Filter by type (backup, restore, purge, etc.)

statusstring#

Filter by status (pending, running, completed, failed)

jobIdinteger#

Filter by job ID

Request Code Samples

curl --location --request GET 'https://cp.domain.com/api/v1/backupManager/jobs?page=1' \
--header 'Authorization: Bearer <token>' \
--header 'Accept: application/json'
wget --quiet --output-document=- \
  --method=GET \
  --header='Authorization: Bearer <token>' \
  --header='Accept: application/json' \
  'https://cp.domain.com/api/v1/backupManager/jobs?page=1'
http GET 'https://cp.domain.com/api/v1/backupManager/jobs?page=1' \
  'Authorization: Bearer <token>' \
  'Accept: application/json'
const response = await fetch("https://cp.domain.com/api/v1/backupManager/jobs?page=1", {
    method: "GET",
    headers: {
        "Authorization": "Bearer <token>",
        "Accept": "application/json",
    },
});

const data = await response.json();
console.log(response.status, data);
import axios from "axios";

const response = await axios({
    method: "get",
    url: "https://cp.domain.com/api/v1/backupManager/jobs?page=1",
    headers: {
        "Authorization": "Bearer <token>",
        "Accept": "application/json",
    },
});

console.log(response.status, response.data);
const https = require("https");

const req = https.request({
    hostname: "cp.domain.com",
    path: "/api/v1/backupManager/jobs?page=1",
    method: "GET",
    headers: {
        "Authorization": "Bearer <token>",
        "Accept": "application/json",
    },
}, (res) => {
    let data = "";
    res.on("data", (chunk) => (data += chunk));
    res.on("end", () => console.log(res.statusCode, JSON.parse(data)));
});

req.on("error", (err) => console.error(err));
req.end();
import requests

url = "https://cp.domain.com/api/v1/backupManager/jobs?page=1"
headers = {
    "Authorization": "Bearer <token>",
    "Accept": "application/json",
}

response = requests.request("GET", url, headers=headers)

print(response.status_code)
print(response.json())
import http.client
import json

conn = http.client.HTTPSConnection("cp.domain.com")
headers = {
    "Authorization": "Bearer <token>",
    "Accept": "application/json",
}

conn.request("GET", "/api/v1/backupManager/jobs?page=1", None, headers)
response = conn.getresponse()

print(response.status)
print(json.loads(response.read()))
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
    CURLOPT_URL => 'https://cp.domain.com/api/v1/backupManager/jobs?page=1',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => array(
        'Authorization: Bearer <token>',
        'Accept: application/json'
    ),
));

$response = curl_exec($curl);
curl_close($curl);

echo $response;
<?php

require 'vendor/autoload.php';

use GuzzleHttp\Client;

$client = new Client();

$response = $client->request('GET', 'https://cp.domain.com/api/v1/backupManager/jobs?page=1', [
    'headers' => [
        'Authorization' => 'Bearer <token>',
        'Accept' => 'application/json',
    ],
]);

echo $response->getStatusCode() . "\n";
echo $response->getBody();
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    url := "https://cp.domain.com/api/v1/backupManager/jobs?page=1"
    req, _ := http.NewRequest("GET", url, nil)
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Accept", "application/json")

    res, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer res.Body.Close()

    body, _ := io.ReadAll(res.Body)
    fmt.Println(res.StatusCode, string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();

        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://cp.domain.com/api/v1/backupManager/jobs?page=1"))
            .header("Authorization", "Bearer <token>")
            .header("Accept", "application/json")
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.statusCode());
        System.out.println(response.body());
    }
}
import okhttp3.*;

public class Main {
    public static void main(String[] args) throws Exception {
        OkHttpClient client = new OkHttpClient();

        Request request = new Request.Builder()
            .url("https://cp.domain.com/api/v1/backupManager/jobs?page=1")
            .method("GET", null)
            .addHeader("Authorization", "Bearer <token>")
            .addHeader("Accept", "application/json")
            .build();

        try (Response response = client.newCall(request).execute()) {
            System.out.println(response.code());
            System.out.println(response.body().string());
        }
    }
}
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;

var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://cp.domain.com/api/v1/backupManager/jobs?page=1");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<token>");
request.Headers.Accept.Add(new MediaTypeWithQualityHeaderValue("application/json"));

var response = await client.SendAsync(request);
Console.WriteLine((int)response.StatusCode);
Console.WriteLine(await response.Content.ReadAsStringAsync());
require "net/http"
require "json"

uri = URI("https://cp.domain.com/api/v1/backupManager/jobs?page=1")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <token>"
request["Accept"] = "application/json"

response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
  http.request(request)
end

puts response.code
puts JSON.pretty_generate(JSON.parse(response.body))
import Foundation

var request = URLRequest(url: URL(string: "https://cp.domain.com/api/v1/backupManager/jobs?page=1")!)
request.httpMethod = "GET"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Accept")

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    guard let data = data, error == nil else { print(error ?? "request failed"); return }
    print((response as! HTTPURLResponse).statusCode)
    print(String(data: data, encoding: .utf8) ?? "")
}
task.resume()
// Cargo.toml: reqwest = { version = "0.12", features = ["blocking", "json"] }, serde_json = "1"
use reqwest::blocking::Client;

fn main() -> Result<(), Box<dyn std::error::Error>> {
    let client = Client::new();
    let response = client
        .request(reqwest::Method::GET, "https://cp.domain.com/api/v1/backupManager/jobs?page=1")
        .bearer_auth("<token>")
        .header("Accept", "application/json")
        .send()?;

    println!("{}", response.status());
    let json: serde_json::Value = response.json()?;
    println!("{}", serde_json::to_string_pretty(&json)?);
    Ok(())
}
// Cargo.toml: reqwest = { version = "0.12", features = ["json"] }, tokio = { version = "1", features = ["full"] }, serde_json = "1"
use reqwest::Client;

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let client = Client::new();
    let response = client
        .request(reqwest::Method::GET, "https://cp.domain.com/api/v1/backupManager/jobs?page=1")
        .bearer_auth("<token>")
        .header("Accept", "application/json")
        .send()
        .await?;

    println!("{}", response.status());
    let json: serde_json::Value = response.json().await?;
    println!("{}", serde_json::to_string_pretty(&json)?);
    Ok(())
}
import okhttp3.MediaType.Companion.toMediaType
import okhttp3.OkHttpClient
import okhttp3.Request

fun main() {
    val client = OkHttpClient()
    val request = Request.Builder()
        .url("https://cp.domain.com/api/v1/backupManager/jobs?page=1")
        .method("GET", null)
        .addHeader("Authorization", "Bearer <token>")
        .addHeader("Accept", "application/json")
        .build()

    client.newCall(request).execute().use { response ->
        println(response.code)
        println(response.body?.string())
    }
}
// pubspec.yaml: http: ^1.2.0
import 'dart:convert';
import 'package:http/http.dart' as http;

Future<void> main() async {
  final request = http.Request('GET', Uri.parse('https://cp.domain.com/api/v1/backupManager/jobs?page=1'));
  request.headers['Authorization'] = 'Bearer <token>';
  request.headers['Accept'] = 'application/json';

  final response = await http.Response.fromStream(await request.send());
  print(response.statusCode);
  print(const JsonEncoder.withIndent('  ').convert(jsonDecode(response.body)));
}
#include <stdio.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (!curl) return 1;

    struct curl_slist *headers = NULL;
    headers = curl_slist_append(headers, "Authorization: Bearer <token>");
    headers = curl_slist_append(headers, "Accept: application/json");

    curl_easy_setopt(curl, CURLOPT_URL, "https://cp.domain.com/api/v1/backupManager/jobs?page=1");
    curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
    curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);

    CURLcode result = curl_easy_perform(curl);
    if (result != CURLE_OK) fprintf(stderr, "%s\n", curl_easy_strerror(result));

    curl_slist_free_all(headers);
    curl_easy_cleanup(curl);
    return result == CURLE_OK ? 0 : 1;
}
$headers = @{
    Authorization = "Bearer <token>"
    Accept        = "application/json"
}

$response = Invoke-RestMethod -Uri "https://cp.domain.com/api/v1/backupManager/jobs?page=1" -Method GET -Headers $headers
$response | ConvertTo-Json -Depth 10
GET /api/v1/backupManager/jobs?page=1 HTTP/1.1
Host: cp.domain.com
Authorization: Bearer <token>
Accept: application/json

Responses

200

A page of results.

#
application/json
Pagination & object
current_pageinteger#
first_page_urlstring#
frominteger#
last_pageinteger#
last_page_urlstring#
next_page_urlstring#nullable
pathstring#
per_pageinteger#
prev_page_urlstring#nullable
tointeger#
totalinteger#
BackupManagerJob fields
typestring#
jobIdinteger#
serverIdinteger#
hypervisorIdinteger#
batchIdinteger#nullable
statusstring#
progressinteger#nullable
errorstring#nullable
exitCodeinteger#nullable
consistencyobject#nullable

Requested and achieved guest quiescing reported by the agent. Null for older jobs. Completion or a recovery thaw alone does not establish consistency.

fields
requestedstring#
Allowed values:frozenpausednone
achievedstring#
Allowed values:frozenpausednoneofflinenot_attempted
reasonstring#
freeze_fallback_pauseboolean#
durationnumber#
startedstring <date-time>#
finishedstring#nullable
createdstring <date-time>#
Example
{
    "current_page": 1,
    "data": [
        {
            "jobId": 1787691841789296,
            "serverId": 999,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "running",
            "progress": null,
            "error": null,
            "exitCode": null,
            "duration": 19.866842000000002,
            "started": "2026-08-25T21:04:01+00:00",
            "finished": null,
            "created": "2026-08-25T21:04:01+00:00"
        },
        {
            "jobId": 1787691694889008,
            "serverId": 999,
            "hypervisorId": 24,
            "batchId": null,
            "type": "backup",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 0,
            "started": "2026-08-25T21:01:35+00:00",
            "finished": "2026-08-25T21:01:35+00:00",
            "created": "2026-08-25T21:01:34+00:00"
        },
        {
            "jobId": 1787691661477733,
            "serverId": 999,
            "hypervisorId": 24,
            "batchId": null,
            "type": "restore",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 0,
            "started": "2026-08-25T21:01:01+00:00",
            "finished": "2026-08-25T21:01:01+00:00",
            "created": "2026-08-25T21:01:01+00:00"
        },
        {
            "jobId": 1787691166094087,
            "serverId": 999,
            "hypervisorId": 24,
            "batchId": null,
            "type": "backup",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 0,
            "started": "2026-08-25T20:52:46+00:00",
            "finished": "2026-08-25T20:52:46+00:00",
            "created": "2026-08-25T20:52:46+00:00"
        },
        {
            "jobId": 1787691049840035,
            "serverId": 999,
            "hypervisorId": 24,
            "batchId": null,
            "type": "backup",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 1,
            "started": "2026-08-25T20:50:49+00:00",
            "finished": "2026-08-25T20:50:50+00:00",
            "created": "2026-08-25T20:50:49+00:00"
        },
        {
            "jobId": 1787043122009170,
            "serverId": 999,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122059180,
            "serverId": 1000,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122090822,
            "serverId": 1001,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122119329,
            "serverId": 1002,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122146574,
            "serverId": 1003,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122177667,
            "serverId": 1004,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122205868,
            "serverId": 1005,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122236892,
            "serverId": 1006,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122265258,
            "serverId": 1008,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122296675,
            "serverId": 1009,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122325364,
            "serverId": 1010,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122356820,
            "serverId": 1011,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122386408,
            "serverId": 1012,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122415176,
            "serverId": 1015,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        },
        {
            "jobId": 1787043122444027,
            "serverId": 1016,
            "hypervisorId": 24,
            "batchId": null,
            "type": "prune",
            "status": "completed",
            "progress": null,
            "error": null,
            "exitCode": 0,
            "duration": 60,
            "started": "2026-08-18T08:52:02+00:00",
            "finished": "2026-08-18T08:53:02+00:00",
            "created": "2026-08-18T08:52:02+00:00"
        }
    ],
    "first_page_url": "https://192.168.3.11/api/v1/backupManager/jobs?page=1",
    "from": 1,
    "last_page": 2402,
    "last_page_url": "https://192.168.3.11/api/v1/backupManager/jobs?page=2402",
    "links": [
        {
            "url": null,
            "label": "&laquo; Previous",
            "page": null,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/jobs?page=1",
            "label": "1",
            "page": 1,
            "active": true
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/jobs?page=2",
            "label": "2",
            "page": 2,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/jobs?page=3",
            "label": "3",
            "page": 3,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/jobs?page=4",
            "label": "4",
            "page": 4,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/jobs?page=5",
            "label": "5",
            "page": 5,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/jobs?page=6",
            "label": "6",
            "page": 6,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/jobs?page=7",
            "label": "7",
            "page": 7,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/jobs?page=8",
            "label": "8",
            "page": 8,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/jobs?page=9",
            "label": "9",
            "page": 9,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/jobs?page=10",
            "label": "10",
            "page": 10,
            "active": false
        },
        {
            "url": null,
            "label": "...",
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/jobs?page=2401",
            "label": "2401",
            "page": 2401,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/jobs?page=2402",
            "label": "2402",
            "page": 2402,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/jobs?page=2",
            "label": "Next &raquo;",
            "page": 2,
            "active": false
        }
    ],
    "next_page_url": "https://192.168.3.11/api/v1/backupManager/jobs?page=2",
    "path": "https://192.168.3.11/api/v1/backupManager/jobs",
    "per_page": 20,
    "prev_page_url": null,
    "to": 20,
    "total": 48039
}
401

The bearer token is missing, invalid, or expired. The response has no body.

#
No response body.
429

Too many requests. Either the token's requests per minute are used up (see the `X-RateL…

#
application/json

Too many requests. Either the token's requests per minute are used up (see the X-RateLimit-* headers) or the calling address has failed authentication 10 times in a minute (the body then includes retry_after_seconds). Retry-After gives the seconds to wait.

object
errorsarray[string]#
retry_after_secondsinteger#

Seconds to wait before retrying. Present on the failed-authentication limit only.

Response headers
Retry-Afterinteger

Seconds to wait before retrying.

X-RateLimit-Limitinteger

The token's requests per minute (token limit only).

X-RateLimit-Remaininginteger

Requests left in the current minute (token limit only).

X-RateLimit-Resetinteger

Unix timestamp at which the minute resets (token limit only).

Examples
{
    "errors": [
        "Too Many Requests"
    ]
}
{
    "errors": [
        "Too many authentication attempts. Try again later."
    ],
    "retry_after_seconds": 42
}